Bug 199766 - device-mapper: sync_count > region_count
device-mapper: sync_count > region_count
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: cmirror (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-21 16:22 EDT by Dean Jansa
Modified: 2010-04-27 10:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 10:57:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dean Jansa 2006-07-21 16:22:02 EDT
Description of problem:

Created a mirror:
[root@link-13 ~]# lvs -a -o+devices
  LV                    VG        Attr   LSize   Origin Snap%  Move Log        
    Copy%  Devices                                      
  mirror_vol            mirror_vg mwi-ao 100.00G                   
mirror_vol_mlog   0.00 mirror_vol_mimage_0(0),mirror_vol_mimage_1(0)
  [mirror_vol_mimage_0] mirror_vg iwi-ao 100.00G                               
           /dev/sdc1(0)                                 
  [mirror_vol_mimage_1] mirror_vg iwi-ao 100.00G                               
           /dev/sdb1(0)                                 
  [mirror_vol_mlog]     mirror_vg lwi-ao   4.00M                               
           /dev/sdb2(0)

Started IO from all nodes in a four node cluster before the mirror was in sync.
                               
Observed this in the logs:
Jul 20 21:11:50 link-13 kernel: device-mapper: Reason :: 1
Jul 20 21:11:50 link-13 kernel: device-mapper: unable to get server (1) to mark
region (1713)
Jul 20 21:11:50 link-13 kernel: device-mapper: Reason :: 1
Jul 20 21:11:50 link-13 kernel: device-mapper: unable to get server (1) to mark
region (1713)
Jul 20 21:11:50 link-13 kernel: device-mapper: Reason :: 1
Jul 20 21:11:50 link-13 kernel: device-mapper: sync_count (204940) >
region_count (204800) - (mjIFcdjY)!
Jul 20 21:12:02 link-13 last message repeated 954 times
Jul 20 21:12:02 link-13 kernel: device-mapper: sync_count (204941) >
region_count (204800) - (mjIFcdjY)!
Jul 20 21:12:02 link-13 last message repeated 34 times
Jul 20 21:12:02 link-13 kernel: device-mapper: sync_count (204942) >
region_count (204800) - (mjIFcdjY)!
Jul 20 21:12:05 link-13 last message repeated 287 times
Jul 20 21:12:05 link-13 kernel: device-mapper: an error occured on the server
while processing our request
Jul 20 21:12:05 link-13 kernel: device-mapper: sync_count (204942) >
region_count (204800) - (mjIFcdjY)!
Jul 20 21:12:37 link-13 last message repeated 3068 times
Jul 20 21:12:46 link-13 last message repeated 706 times

The IO is still running a day later, and the logs are still showing the message.

IO run was: 
b_iogen -o -m random -s read,write,readv,writev -t 1000b -T 100000b -d
/dev/mirror_vg/mirror_vol | b_doio 

Translated that states:  Do overlapping read(), write(), readv(), and writev().
 Stride randomly on device. Generate each request with a minimum transfer of
1000 blocks, and a maximum transfer of 100000 blocks.
 


Version-Release number of selected component (if applicable):

lvm2-cluster-2.02.06-5.0.RHEL4
lvm2-2.02.06-5.0.RHEL4
device-mapper-1.02.07-4.0.RHEL4
cmirror-kernel-2.6.9-10.2
Comment 1 Jonathan Earl Brassow 2006-09-19 09:21:07 EDT
This bug should only be in cmirror-kernel, so all necessary fixes should be in.
Comment 2 Corey Marthaler 2007-04-10 14:31:29 EDT
These messages have not been seen in some time, marking verified.
Comment 4 Alasdair Kergon 2010-04-27 10:57:18 EDT
Assuming this VERIFIED fix got released.  Closing.
Reopen if it's not yet resolved.

Note You need to log in before you can comment on or make changes to this bug.